com.pivotal.gemfirexd.internal.client.am

## Interface MaterialStatement

All Known Subinterfaces:
  MaterialPreparedStatement

All Known Implementing Classes:
  NetCallableStatement, NetPreparedStatement, NetStatement

    public interface MaterialStatement

### Method Summary

Methods
`void` `markClosedOnServer_()`
`void` `readExecuteCall_()`
`void` `readExecuteImmediate_()`
`void` `readExecuteImmediateForBatch_(String sql)`
`void` `readOpenQuery_()`
`void` `readPrepare_()`
`void` `readPrepareDescribeOutput_()`
`void` `readSetSpecialRegister_()`
`void` `readStatementID_()`
`void` `reset_()`
`void` `writeExecuteCall_(boolean outputExpected, String procedureName, Section section, int fetchSize, boolean suppressResultSets, int resultSetType, ColumnMetaData parameterMetaData, Object[] inputs)`
`void` `writeExecuteImmediate_(String sql, Section section)`
`void` `writeGetStmtUUID(Section section)`
`void` `writeOpenQuery_(Section section, int fetchSize, int resultSetType)`
`void` `writePrepare_(String sql, Section section)`
`void` `writePrepareDescribeOutput_(String sql, Section section, boolean needStatementUUID)`
`void` `writeSetSpecialRegister_(Section section, ArrayList sqlsttList)`

### Method Detail

#### writeExecuteImmediate_

    void writeExecuteImmediate_(String sql,
                              Section section)
                                throws SqlException

Throws:
  `SqlException`

#### readExecuteImmediate_

    void readExecuteImmediate_()
                               throws SqlException

Throws:
  `SqlException`

#### readExecuteImmediateForBatch_

    void readExecuteImmediateForBatch_(String sql)
                                       throws SqlException

Throws:
  `SqlException`

#### writePrepareDescribeOutput_

    void writePrepareDescribeOutput_(String sql,
                                   Section section,
                                   boolean needStatementUUID)
                                     throws SqlException

Throws:
  `SqlException`

#### readPrepareDescribeOutput_

    void readPrepareDescribeOutput_()
                                    throws SqlException

Throws:
  `SqlException`

#### writeGetStmtUUID

    void writeGetStmtUUID(Section section)
                          throws SqlException

Throws:
  `SqlException`

#### readStatementID_

    void readStatementID_()
                          throws SqlException

Throws:
  `SqlException`

#### writeOpenQuery_

    void writeOpenQuery_(Section section,
                       int fetchSize,
                       int resultSetType)
                         throws SqlException

Throws:
  `SqlException`

#### readOpenQuery_

    void readOpenQuery_()
                        throws SqlException

Throws:
  `SqlException`

#### writeExecuteCall_

    void writeExecuteCall_(boolean outputExpected,
                         String procedureName,
                         Section section,
                         int fetchSize,
                         boolean suppressResultSets,
                         int resultSetType,
                         ColumnMetaData parameterMetaData,
                         Object[] inputs)
                           throws SqlException

Throws:
  `SqlException`

#### readExecuteCall_

    void readExecuteCall_()
                          throws SqlException

Throws:
  `SqlException`

#### writePrepare_

    void writePrepare_(String sql,
                     Section section)
                       throws SqlException

Throws:
  `SqlException`

#### readPrepare_

    void readPrepare_()
                      throws SqlException

Throws:
  `SqlException`

#### markClosedOnServer_

    void markClosedOnServer_()

#### writeSetSpecialRegister_

    void writeSetSpecialRegister_(Section section,
                                ArrayList sqlsttList)
                                  throws SqlException

Throws:
  `SqlException`

#### readSetSpecialRegister_

    void readSetSpecialRegister_()
                                 throws SqlException

Throws:
  `SqlException`

#### reset_

    void reset_()